Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.extra
Class StaticExportCopier

    java.lang.Object
      java.lang.Thread
          org.meshcms.util.DirectoryParser
              org.meshcms.extra.StaticExportCopier

All Implemented Interfaces:
  java.lang.Runnable

public class StaticExportCopier
extends DirectoryParser

Cleans the directory used to export static files. This is done by removing all files that are not available in the dynamic version of the site. Empty directories are also removed. This class is used by `StaticExporter`.

Field Summary

Fields inherited from class org.meshcms.util.DirectoryParser
`initialDir, processStartDir, recursive`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`StaticExportCopier(java.io.File destinationRoot)` Creates an instance for the given context root

Method Summary
`java.io.Writer` | `getWriter()` Returns the writer (if any).
`boolean` | `isCheckDates()`
`boolean` | `isMkDirs()`
`protected boolean` | `preProcessDirectory(java.io.File file, Path path)`
`protected void` | `processFile(java.io.File file, Path path)` This method will be called for any file found while parsing the base directory.
`void` | `setCheckDates(boolean checkDates)`
`void` | `setMkDirs(boolean mkDirs)`
`void` | `setWriter(java.io.Writer writer)` Sets the writer for logging (usually the writer of the web page).

Methods inherited from class org.meshcms.util.DirectoryParser
`getInitialDir, isProcessStartDir, isRecursive, isSorted, postProcess, postProcessDirectory, preProcess, process, run, setInitialDir, setInitialDir, setProcessStartDir, setRecursive, setSorted`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StaticExportCopier

    public StaticExportCopier(java.io.File destinationRoot)

  Creates an instance for the given context root

Method Detail

### setWriter

    public void setWriter(java.io.Writer writer)

  Sets the writer for logging (usually the writer of the web page).

### getWriter

    public java.io.Writer getWriter()

  Returns the writer (if any).

### preProcessDirectory

    protected boolean preProcessDirectory(java.io.File file,
                                          Path path)

  Overrides:
    `preProcessDirectory` in class `DirectoryParser`

### processFile

    protected void processFile(java.io.File file,
                               Path path)

  Description copied from class: `DirectoryParser`
  This method will be called for any file found while parsing the base directory.

  Overrides:
    `processFile` in class `DirectoryParser`
  Parameters:
    `file` - the file to be processed
    `path` - the path of the file (relative to the base directory)

### isCheckDates

    public boolean isCheckDates()

### setCheckDates

    public void setCheckDates(boolean checkDates)

### isMkDirs

    public boolean isMkDirs()

### setMkDirs

    public void setMkDirs(boolean mkDirs)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD